Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.base
Class JRBaseQuery

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseQuery

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRCloneable, JRQuery

Direct Known Subclasses:
  JRDesignQuery

    public class JRBaseQuery

extends java.lang.Object
implements JRQuery, java.io.Serializable

Version:
  $Id: JRBaseQuery.java 3939 2010-08-20 09:52:00Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `language`

Constructor Summary
`protected` | `JRBaseQuery()`
`protected` | `JRBaseQuery(JRQuery query, JRBaseObjectFactory factory)`

Method Summary
`java.lang.Object` | `clone()`
`JRQueryChunk[]` | `getChunks()`
`java.lang.String` | `getLanguage()` Returns the query language.
`java.lang.String` | `getText()` Returns the query string.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### language

    protected java.lang.String language

Constructor Detail

### JRBaseQuery

    protected JRBaseQuery()

### JRBaseQuery

    protected JRBaseQuery(JRQuery query,
                          JRBaseObjectFactory factory)

Method Detail

### getChunks

    public JRQueryChunk[] getChunks()

  Specified by:
    `getChunks` in interface `JRQuery`

### getText

    public java.lang.String getText()

  Description copied from interface: `JRQuery`
  Returns the query string.

  Specified by:
    `getText` in interface `JRQuery`

### getLanguage

    public java.lang.String getLanguage()

  Description copied from interface: `JRQuery`
  Returns the query language.

  Based on the query language, a corresponding `JRQueryExecuterFactory` is used to create a `JRQueryExecuter` instance. The query executer is responsible for executing the query and creating a `JRDataSource` from the result.

  Specified by:
    `getLanguage` in interface `JRQuery`
  Returns:
    the query language

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `JRCloneable`
  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com